### Virtual Method

# Foundry CompletionRequest dup_file

#### Declaration [src]

    GFile*
    dup_file (
      FoundryCompletionRequest* self
    )

#### Description [src]

Gets the file that is to be completed.

#### Return value

Type: `GFile`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.